Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Types | Static Public Member Functions | List of all members
faiss::gpu::Math< float4 > Struct Template Reference

## Public Types
typedef float | ScalarType

## Static Public Member Functions
static __device__ float4 | add (float4 a, float4 b)
static __device__ float4 | sub (float4 a, float4 b)
static __device__ float4 | add (float4 a, float b)
static __device__ float4 | sub (float4 a, float b)
static __device__ float4 | mul (float4 a, float4 b)
static __device__ float4 | mul (float4 a, float b)
static __device__ float4 | neg (float4 v)
static __device__ float | reduceAdd (float4 v)
| For a vector type, this is a horizontal add, returning sum(v_i)
static __device__ float4 | zero ()

## Detailed Description

### template<>
struct faiss::gpu::Math< float4 >

Definition at line 136 of file MathOperators.cuh.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/MathOperators.cuh